Trf_QueryOptions(3)

NAME
Trf_QueryOptions - Interface to procedures to query an option container.

SYNOPSIS
#include <transform.h>

int Trf_QueryOptions
(
    Trf_Options options,
    ClientData clientData
);

PARAMETERS

Trf_Options options
    Option container to query.

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
The result value decides wether the encoder- or decoder-set of vectors must be used during immediate execution of the transformer configured with the container contents.

RETURNS

0   Use decoder.

1   Use encoder.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)